com.trendmicro.ds.appcontrol.rest.object

## Class ListInventoriesResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.ListInventoriesResponse

-     public class ListInventoriesResponse
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListInventoriesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInventory(InventoryMetadataItem inventory)` Add an inventory metadata item.
    `java.util.List<InventoryMetadataItem>` | `getInventories()` Get the list of inventory metadata items.
    `void` | `setInventories(java.util.List<InventoryMetadataItem> inventories)` Set the list of inventory metadata items.
    `ListInventoriesResponse` | `withInventories(java.util.List<InventoryMetadataItem> inventories)` Set the list of inventory metadata items.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListInventoriesResponse

          public ListInventoriesResponse()

  - ### Method Detail

    - #### getInventories

          public java.util.List<InventoryMetadataItem> getInventories()

      Get the list of inventory metadata items.
      Returns:
        the list of inventory metadata items.

    - #### setInventories

          public void setInventories(java.util.List<InventoryMetadataItem> inventories)

      Set the list of inventory metadata items.
      Parameters:
        `inventories` - the list of inventory metadata items.

    - #### withInventories

          public ListInventoriesResponse withInventories(java.util.List<InventoryMetadataItem> inventories)

      Set the list of inventory metadata items.
      Parameters:
        `inventories` - the list of inventory metadata items.
      Returns:
        the updated ListInventoriesResponse

    - #### addInventory

          public void addInventory(InventoryMetadataItem inventory)

      Add an inventory metadata item.
      Parameters:
        `inventory` - the inventory metadata item to add.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.